Index: /XIOS/trunk/bld.cfg
===================================================================
--- /XIOS/trunk/bld.cfg	(revision 312)
+++ /XIOS/trunk/bld.cfg	(revision 313)
@@ -28,5 +28,5 @@
 bld::target libxios.a
 #bld::target main_server.exe test_xios.exe 
-bld::target server_main.exe test_cs.exe 
+bld::target generate_fortran_interface.exe server_main.exe test_cs.exe 
 bld::exe_dep
 
Index: /XIOS/trunk/make_xios
===================================================================
--- /XIOS/trunk/make_xios	(revision 312)
+++ /XIOS/trunk/make_xios	(revision 313)
@@ -4,4 +4,5 @@
 compil_full="false"
 use_oasis="false"
+job="1"
 
 # Traitement de la ligne de commande
@@ -17,7 +18,8 @@
          "--debug") compil_mode="debug" ; shift ;;
          "--arch")  arch=$2     ; shift ; shift ;;
-         "--full")  compil_full="true"  ; shift ; shift ;;
+         "--full")  compil_full="true"  ; shift ;;
          "--use_oasis")  use_oasis="true"  ; shift  ;;
          "--doc")   doc="true"          ; shift ;;
+         "--job")   job=$2              ; shift ; shift ;;
          *)         code="$1"           ; shift ;;
       esac
@@ -117,7 +119,7 @@
 if [[ "$compil_full" == "true" ]]
    then
-   fcm build -f
+   fcm build -f -j $job
 else
-  fcm build
+  fcm build -j $job
 fi
 
Index: /XIOS/trunk/src/attribute.hpp
===================================================================
--- /XIOS/trunk/src/attribute.hpp	(revision 312)
+++ /XIOS/trunk/src/attribute.hpp	(revision 313)
@@ -53,5 +53,15 @@
             virtual void toBinary  (StdOStream & os) const = 0;
             virtual void fromBinary(StdIStream & is) = 0;
+            virtual void generateCInterface(ostream& oss, const string& className) = 0 ;
+            virtual void generateFortran2003Interface(ostream& oss, const string& className) = 0 ;
+            virtual void generateFortranInterfaceDeclaration_(ostream& oss,const string& className) = 0 ;
+            virtual void generateFortranInterfaceDeclaration(ostream& oss,const string& className) = 0 ;
+            virtual void generateFortranInterfaceBody_(ostream& oss,const string& className) = 0 ;
+            virtual void generateFortranInterfaceGetDeclaration_(ostream& oss,const string& className) = 0 ;
+            virtual void generateFortranInterfaceGetDeclaration(ostream& oss,const string& className) = 0 ;
+            virtual void generateFortranInterfaceGetBody_(ostream& oss,const string& className) = 0 ;
 
+
+            
          protected :
 
Index: /XIOS/trunk/src/attribute_map.cpp
===================================================================
--- /XIOS/trunk/src/attribute_map.cpp	(revision 312)
+++ /XIOS/trunk/src/attribute_map.cpp	(revision 313)
@@ -1,3 +1,4 @@
 #include "attribute_map.hpp"
+#include "indent.hpp"
 
 namespace xmlioserver
@@ -186,5 +187,350 @@
       }
       
+      void CAttributeMap::generateCInterface(ostream& oss, const string& className)
+      {
+         SuperClassMap::const_iterator it = SuperClassMap::begin(), end = SuperClassMap::end();
+         for (; it != end; it++)
+         {
+           it->second->generateCInterface(oss,className) ;
+           oss<<iendl<<iendl ;
+         }
+      }
+
+      void CAttributeMap::generateFortran2003Interface(ostream& oss, const string& className)
+      {
+         SuperClassMap::const_iterator it = SuperClassMap::begin(), end = SuperClassMap::end();
+         for (; it != end; it++)
+         {
+           it->second->generateFortran2003Interface(oss,className) ;
+           oss<<iendl<<iendl ;
+         }
+      }      
+      
       ///--------------------------------------------------------------
+
+      void CAttributeMap::generateFortranInterface_hdl_(ostream& oss, const string& className)
+      {
+         oss<<"SUBROUTINE xios(set_"<<className<<"_attr_hdl_)   &"<<iendl++ ;
+         ostringstream* oss2 ;
+         SuperClassMap::const_iterator it ;
+         SuperClassMap::const_iterator begin = SuperClassMap::begin(), end = SuperClassMap::end();
+         
+         oss2=new ostringstream ;
+         
+         *oss2<<"( "<<className<<"_hdl"  ;
+         
+         for ( it=begin ; it != end; it++) 
+         {
+           *oss2<<", "<<it->second->getName()<<"_" ;
+           if (oss2->str().size()>90) 
+           {
+             oss<<oss2->str()<<"  &"<<iendl ;
+             delete oss2 ;
+             oss2=new ostringstream ;
+           }
+         }
+         *oss2<<" )" ;
+         oss<<oss2->str()<<iendl ;
+         oss<<iendl ;
+         delete oss2 ; 
+         
+         oss<<"IMPLICIT NONE"<<iendl++ ;
+         oss<<"TYPE(txios("<<className<<")) , INTENT(IN) :: "<<className<<"_hdl"<<iendl ;
+         
+         for (it=begin; it != end; it++)
+         {
+           it->second->generateFortranInterfaceDeclaration_(oss,className) ;
+         }
+         
+         oss<<iendl ;
+         
+         for (it=begin; it != end; it++)
+         {
+           it->second->generateFortranInterfaceBody_(oss,className) ;
+           oss<<iendl ;
+         }
+         
+         oss<<iendl--<<iendl-- ;
+         oss<<"END SUBROUTINE xios(set_"<<className<<"_attr_hdl_)"<<iendl ;
+         
+      }      
+
+      void CAttributeMap::generateFortranInterfaceGet_hdl_(ostream& oss, const string& className)
+      {
+         oss<<"SUBROUTINE xios(get_"<<className<<"_attr_hdl_)   &"<<iendl++ ;
+         ostringstream* oss2 ;
+         SuperClassMap::const_iterator it ;
+         SuperClassMap::const_iterator begin = SuperClassMap::begin(), end = SuperClassMap::end();
+         
+         oss2=new ostringstream ;
+         
+         *oss2<<"( "<<className<<"_hdl"  ;
+         
+         for ( it=begin ; it != end; it++) 
+         {
+           *oss2<<", "<<it->second->getName()<<"_" ;
+           if (oss2->str().size()>90) 
+           {
+             oss<<oss2->str()<<"  &"<<iendl ;
+             delete oss2 ;
+             oss2=new ostringstream ;
+           }
+         }
+         *oss2<<" )" ;
+         oss<<oss2->str()<<iendl ;
+         oss<<iendl ;
+         delete oss2 ; 
+         
+         oss<<"IMPLICIT NONE"<<iendl++ ;
+         oss<<"TYPE(txios("<<className<<")) , INTENT(IN) :: "<<className<<"_hdl"<<iendl ;
+         
+         for (it=begin; it != end; it++)
+         {
+           it->second->generateFortranInterfaceGetDeclaration_(oss,className) ;
+         }
+         
+         oss<<iendl ;
+         
+         for (it=begin; it != end; it++)
+         {
+           it->second->generateFortranInterfaceGetBody_(oss,className) ;
+           oss<<iendl ;
+         }
+         
+         oss<<iendl--<<iendl-- ;
+         oss<<"END SUBROUTINE xios(get_"<<className<<"_attr_hdl_)"<<iendl ;
+         
+      }      
+
+      void CAttributeMap::generateFortranInterface_hdl(ostream& oss, const string& className)
+      {
+         oss<<"SUBROUTINE xios(set_"<<className<<"_attr_hdl)  &"<<iendl++ ;
+         ostringstream* oss2 ;
+         SuperClassMap::const_iterator it ;
+         SuperClassMap::const_iterator begin = SuperClassMap::begin(), end = SuperClassMap::end();
+         
+         oss2=new ostringstream ;
+         *oss2<<"( "<<className<<"_hdl"  ;
+         for ( it=begin ; it != end; it++) 
+         {
+           *oss2<<", "<<it->second->getName() ;
+           if (oss2->str().size()>90) 
+           {
+             oss<<oss2->str()<<"  &"<<iendl ;
+             delete oss2 ;
+             oss2=new ostringstream ;
+           }
+         }
+         *oss2<<" )" ;
+         oss<<oss2->str()<<iendl ;
+         oss<<iendl ;
+         delete oss2 ; 
+         oss2=new ostringstream ;
+         
+         oss<<"IMPLICIT NONE"<<iendl++ ;
+         oss<<"TYPE(txios("<<className<<")) , INTENT(IN) :: "<<className<<"_hdl"<<iendl ;
+         
+         for (it=begin; it != end; it++)
+         {
+           it->second->generateFortranInterfaceDeclaration(oss,className) ;
+         }
+         
+         oss<<iendl ;
+         
+         oss<<"CALL xios(set_"<<className<<"_attr_hdl_)  &"<<iendl ;
+         
+         *oss2<<"( "<<className<<"_hdl"  ;
+         for ( it=begin ; it != end; it++) 
+         {
+           *oss2<<", "<<it->second->getName() ;
+           if (oss2->str().size()>90) 
+           {
+             oss<<oss2->str()<<"  &"<<iendl ;
+             delete oss2 ;
+             oss2=new ostringstream ;
+           }
+         }
+         *oss2<<" )" ;
+         oss<<oss2->str() ;
+         delete oss2 ; 
+         
+         oss<<iendl--<<iendl-- ;
+         oss<<"END SUBROUTINE xios(set_"<<className<<"_attr_hdl)"<<iendl ;
+      }      
+      
+ 
+      void CAttributeMap::generateFortranInterfaceGet_hdl(ostream& oss, const string& className)
+      {
+         oss<<"SUBROUTINE xios(get_"<<className<<"_attr_hdl)  &"<<iendl++ ;
+         ostringstream* oss2 ;
+         SuperClassMap::const_iterator it ;
+         SuperClassMap::const_iterator begin = SuperClassMap::begin(), end = SuperClassMap::end();
+         
+         oss2=new ostringstream ;
+         *oss2<<"( "<<className<<"_hdl"  ;
+         for ( it=begin ; it != end; it++) 
+         {
+           *oss2<<", "<<it->second->getName() ;
+           if (oss2->str().size()>90) 
+           {
+             oss<<oss2->str()<<"  &"<<iendl ;
+             delete oss2 ;
+             oss2=new ostringstream ;
+           }
+         }
+         *oss2<<" )" ;
+         oss<<oss2->str()<<iendl ;
+         oss<<iendl ;
+         delete oss2 ; 
+         oss2=new ostringstream ;
+         
+         oss<<"IMPLICIT NONE"<<iendl++ ;
+         oss<<"TYPE(txios("<<className<<")) , INTENT(IN) :: "<<className<<"_hdl"<<iendl ;
+         
+         for (it=begin; it != end; it++)
+         {
+           it->second->generateFortranInterfaceGetDeclaration(oss,className) ;
+         }
+         
+         oss<<iendl ;
+         
+         oss<<"CALL xios(get_"<<className<<"_attr_hdl_)  &"<<iendl ;
+         
+         *oss2<<"( "<<className<<"_hdl"  ;
+         for ( it=begin ; it != end; it++) 
+         {
+           *oss2<<", "<<it->second->getName() ;
+           if (oss2->str().size()>90) 
+           {
+             oss<<oss2->str()<<"  &"<<iendl ;
+             delete oss2 ;
+             oss2=new ostringstream ;
+           }
+         }
+         *oss2<<" )" ;
+         oss<<oss2->str() ;
+         delete oss2 ; 
+         
+         oss<<iendl--<<iendl-- ;
+         oss<<"END SUBROUTINE xios(get_"<<className<<"_attr_hdl)"<<iendl ;
+      }      
+      
+      void CAttributeMap::generateFortranInterface_id(ostream& oss, const string& className)
+      {
+         oss<<"SUBROUTINE xios(set_"<<className<<"_attr)  &"<<iendl++ ;
+         ostringstream* oss2 ;
+         SuperClassMap::const_iterator it ;
+         SuperClassMap::const_iterator begin = SuperClassMap::begin(), end = SuperClassMap::end();
+         
+         oss2=new ostringstream ;
+         *oss2<<"( "<<className<<"_id"  ;
+         for ( it=begin ; it != end; it++) 
+         {
+           *oss2<<", "<<it->second->getName() ;
+           if (oss2->str().size()>90) 
+           {
+             oss<<oss2->str()<<"  &"<<iendl ;
+             delete oss2 ;
+             oss2=new ostringstream ;
+           }
+         }
+         *oss2<<" )" ;
+         oss<<oss2->str()<<iendl ;
+         oss<<iendl ;
+         delete oss2 ; 
+         oss2=new ostringstream ;
+         
+         oss<<"IMPLICIT NONE"<<iendl++ ;
+
+         oss<<"TYPE(txios("<<className<<"))  :: "<<className<<"_hdl"<<iendl ;
+         oss<<"CHARACTER(LEN=*), INTENT(IN) ::"<<className<<"_id"<<iendl ;
+         
+         for (it=begin; it != end; it++)
+         {
+           it->second->generateFortranInterfaceDeclaration(oss,className) ;
+         }
+         
+         oss<<iendl ;
+         oss<<"CALL xios(get_"<<className<<"_handle)("<<className<<"_id,"<<className<<"_hdl)"<<iendl ; 
+         oss<<"CALL xios(set_"<<className<<"_attr_hdl_)   &"<<iendl ;
+         *oss2<<"( "<<className<<"_hdl"  ;
+         for ( it=begin ; it != end; it++) 
+         {
+           *oss2<<", "<<it->second->getName() ;
+           if (oss2->str().size()>90) 
+           {
+             oss<<oss2->str()<<"  &"<<iendl ;
+             delete oss2 ;
+             oss2=new ostringstream ;
+           }
+         }
+         *oss2<<" )" ;
+         oss<<oss2->str() ;
+         delete oss2 ; 
+         
+         oss<<iendl--<<iendl-- ;
+         oss<<"END SUBROUTINE xios(set_"<<className<<"_attr)"<<iendl ;
+         
+      }      
+      
+      void CAttributeMap::generateFortranInterfaceGet_id(ostream& oss, const string& className)
+      {
+         oss<<"SUBROUTINE xios(get_"<<className<<"_attr)  &"<<iendl++ ;
+         ostringstream* oss2 ;
+         SuperClassMap::const_iterator it ;
+         SuperClassMap::const_iterator begin = SuperClassMap::begin(), end = SuperClassMap::end();
+         
+         oss2=new ostringstream ;
+         *oss2<<"( "<<className<<"_id"  ;
+         for ( it=begin ; it != end; it++) 
+         {
+           *oss2<<", "<<it->second->getName() ;
+           if (oss2->str().size()>90) 
+           {
+             oss<<oss2->str()<<"  &"<<iendl ;
+             delete oss2 ;
+             oss2=new ostringstream ;
+           }
+         }
+         *oss2<<" )" ;
+         oss<<oss2->str()<<iendl ;
+         oss<<iendl ;
+         delete oss2 ; 
+         oss2=new ostringstream ;
+         
+         oss<<"IMPLICIT NONE"<<iendl++ ;
+
+         oss<<"TYPE(txios("<<className<<"))  :: "<<className<<"_hdl"<<iendl ;
+         oss<<"CHARACTER(LEN=*), INTENT(IN) ::"<<className<<"_id"<<iendl ;
+         
+         for (it=begin; it != end; it++)
+         {
+           it->second->generateFortranInterfaceGetDeclaration(oss,className) ;
+         }
+         
+         oss<<iendl ;
+         oss<<"CALL xios(get_"<<className<<"_handle)("<<className<<"_id,"<<className<<"_hdl)"<<iendl ; 
+         oss<<"CALL xios(get_"<<className<<"_attr_hdl_)   &"<<iendl ;
+         *oss2<<"( "<<className<<"_hdl"  ;
+         for ( it=begin ; it != end; it++) 
+         {
+           *oss2<<", "<<it->second->getName() ;
+           if (oss2->str().size()>90) 
+           {
+             oss<<oss2->str()<<"  &"<<iendl ;
+             delete oss2 ;
+             oss2=new ostringstream ;
+           }
+         }
+         *oss2<<" )" ;
+         oss<<oss2->str() ;
+         delete oss2 ; 
+         
+         oss<<iendl--<<iendl-- ;
+         oss<<"END SUBROUTINE xios(get_"<<className<<"_attr)"<<iendl ;
+         
+      }      
+      ///--------------------------------------------------------------
+  
 
    } // namespace tree
Index: /XIOS/trunk/src/attribute_map.hpp
===================================================================
--- /XIOS/trunk/src/attribute_map.hpp	(revision 312)
+++ /XIOS/trunk/src/attribute_map.hpp	(revision 313)
@@ -48,4 +48,12 @@
             virtual void toBinary  (StdOStream & os) const;
             virtual void fromBinary(StdIStream & is);
+            virtual void generateCInterface(ostream& oss, const string& className) ;
+            virtual void generateFortran2003Interface(ostream& oss, const string& className) ;
+            virtual void generateFortranInterface_hdl_(ostream& oss, const string& className) ;
+            virtual void generateFortranInterface_hdl(ostream& oss, const string& className) ;
+            virtual void generateFortranInterface_id(ostream& oss, const string& className) ;
+            virtual void generateFortranInterfaceGet_hdl_(ostream& oss, const string& className) ;
+            virtual void generateFortranInterfaceGet_hdl(ostream& oss, const string& className) ;
+            virtual void generateFortranInterfaceGet_id(ostream& oss, const string& className) ;
 
          protected :
Index: /XIOS/trunk/src/attribute_template.hpp
===================================================================
--- /XIOS/trunk/src/attribute_template.hpp	(revision 312)
+++ /XIOS/trunk/src/attribute_template.hpp	(revision 313)
@@ -64,6 +64,14 @@
             virtual bool fromBuffer(CBufferIn& buffer) ;
             virtual size_t size(void) const;
-   
+            virtual void generateCInterface(ostream& oss,const string& className) ;
+            virtual void generateFortran2003Interface(ostream& oss,const string& className) ;
+            virtual void generateFortranInterfaceDeclaration_(ostream& oss,const string& className) ;
+            virtual void generateFortranInterfaceBody_(ostream& oss,const string& className) ;
+            virtual void generateFortranInterfaceDeclaration(ostream& oss,const string& className) ;
+            virtual void generateFortranInterfaceGetDeclaration_(ostream& oss,const string& className) ;
+            virtual void generateFortranInterfaceGetBody_(ostream& oss,const string& className) ;
+            virtual void generateFortranInterfaceGetDeclaration(ostream& oss,const string& className) ;
 
+      
          protected :
 
Index: /XIOS/trunk/src/attribute_template_impl.hpp
===================================================================
--- /XIOS/trunk/src/attribute_template_impl.hpp	(revision 312)
+++ /XIOS/trunk/src/attribute_template_impl.hpp	(revision 313)
@@ -6,7 +6,11 @@
 #include "buffer_in.hpp"
 #include "buffer_out.hpp"
-
+#include "generate_interface_impl.hpp"
+
+
+  
 namespace xmlioserver
 {
+
    namespace tree
    {
@@ -181,4 +185,53 @@
       }
 
+      template <typename T>
+      void CAttributeTemplate<T>::generateCInterface(ostream& oss,const string& className)
+      {
+        CInterface::AttributeCInterface<T>(oss, className, this->getName()) ;
+      }
+      
+      template <typename T>
+      void CAttributeTemplate<T>::generateFortran2003Interface(ostream& oss,const string& className)
+      {
+        CInterface::AttributeFortran2003Interface<T>(oss, className, this->getName()) ;
+      }
+      
+      template <typename T>
+      void CAttributeTemplate<T>::generateFortranInterfaceDeclaration_(ostream& oss,const string& className)
+      {
+        CInterface::AttributeFortranInterfaceDeclaration<T>(oss, className, this->getName()+"_") ;
+      }
+ 
+      template <typename T>
+      void CAttributeTemplate<T>::generateFortranInterfaceBody_(ostream& oss,const string& className)
+      {
+        CInterface::AttributeFortranInterfaceBody<T>(oss, className, this->getName()) ;
+      }
+
+      template <typename T>
+      void CAttributeTemplate<T>::generateFortranInterfaceDeclaration(ostream& oss,const string& className)
+      {
+        CInterface::AttributeFortranInterfaceDeclaration<T>(oss, className, this->getName()) ;
+      }
+      
+      template <typename T>
+      void CAttributeTemplate<T>::generateFortranInterfaceGetDeclaration_(ostream& oss,const string& className)
+      {
+        CInterface::AttributeFortranInterfaceGetDeclaration<T>(oss, className, this->getName()+"_") ;
+      }
+ 
+      template <typename T>
+      void CAttributeTemplate<T>::generateFortranInterfaceGetBody_(ostream& oss,const string& className)
+      {
+        CInterface::AttributeFortranInterfaceGetBody<T>(oss, className, this->getName()) ;
+      }
+
+      template <typename T>
+      void CAttributeTemplate<T>::generateFortranInterfaceGetDeclaration(ostream& oss,const string& className)
+      {
+        CInterface::AttributeFortranInterfaceGetDeclaration<T>(oss, className, this->getName()) ;
+      }
+ 
+      
       //---------------------------------------------------------------
 
Index: /XIOS/trunk/src/config/axis_attribute.conf
===================================================================
--- /XIOS/trunk/src/config/axis_attribute.conf	(revision 312)
+++ /XIOS/trunk/src/config/axis_attribute.conf	(revision 313)
@@ -6,5 +6,5 @@
 
 DECLARE_ATTRIBUTE(int,       size)
-DECLARE_ATTRIBUTE(ARRAY(double, 1), zvalue)
+DECLARE_ATTRIBUTE(ARRAY(double, 1), value)
 
 
Index: /XIOS/trunk/src/fortran/axis_interface.f90
===================================================================
--- /XIOS/trunk/src/fortran/axis_interface.f90	(revision 312)
+++ /XIOS/trunk/src/fortran/axis_interface.f90	(revision 313)
@@ -4,45 +4,4 @@
    INTERFACE ! Ne pas appeler directement/Interface FORTRAN 2003 <-> C99
      
-      SUBROUTINE cxios_set_axis_name(axis_hdl, name, name_size) BIND(C)
-         USE ISO_C_BINDING
-         INTEGER  (kind = C_INTPTR_T), VALUE        :: axis_hdl
-         CHARACTER(kind = C_CHAR)    , DIMENSION(*) :: name
-         INTEGER  (kind = C_INT)     , VALUE        :: name_size
-      END SUBROUTINE cxios_set_axis_name
-
-      SUBROUTINE cxios_set_axis_standard_name(axis_hdl, standard_name, standard_name_size) BIND(C)
-         USE ISO_C_BINDING
-         INTEGER  (kind = C_INTPTR_T), VALUE        :: axis_hdl
-         CHARACTER(kind = C_CHAR)    , DIMENSION(*) :: standard_name
-         INTEGER  (kind = C_INT)     , VALUE        :: standard_name_size
-      END SUBROUTINE cxios_set_axis_standard_name
-
-      SUBROUTINE cxios_set_axis_long_name(axis_hdl, long_name, long_name_size) BIND(C)
-         USE ISO_C_BINDING
-         INTEGER  (kind = C_INTPTR_T), VALUE       :: axis_hdl
-         CHARACTER(kind = C_CHAR)    , DIMENSION(*) :: long_name
-         INTEGER  (kind = C_INT)     , VALUE        :: long_name_size
-      END SUBROUTINE cxios_set_axis_long_name
-
-      SUBROUTINE cxios_set_axis_unit(axis_hdl, unit, unit_size) BIND(C)
-         USE ISO_C_BINDING
-         INTEGER  (kind = C_INTPTR_T), VALUE       :: axis_hdl
-         CHARACTER(kind = C_CHAR)    , DIMENSION(*) :: unit
-         INTEGER  (kind = C_INT)     , VALUE        :: unit_size
-      END SUBROUTINE cxios_set_axis_unit
-
-      SUBROUTINE cxios_set_axis_size(axis_hdl, size) BIND(C)
-         USE ISO_C_BINDING
-         INTEGER (kind = C_INTPTR_T), VALUE :: axis_hdl
-         INTEGER (kind = C_INT)     , VALUE :: size
-      END SUBROUTINE cxios_set_axis_size
-
-      SUBROUTINE cxios_set_axis_zvalue(axis_hdl, zvalue, zvalue_extent1) BIND(C)
-         USE ISO_C_BINDING
-         INTEGER (kind = C_INTPTR_T), VALUE        :: axis_hdl
-         REAL    (kind = C_DOUBLE)  , DIMENSION(*) :: zvalue
-         INTEGER (kind = C_INT)     , VALUE        :: zvalue_extent1
-      END SUBROUTINE cxios_set_axis_zvalue
-      
       SUBROUTINE cxios_axis_handle_create(ret, idt, idt_size) BIND(C)
          USE ISO_C_BINDING
Index: /XIOS/trunk/src/fortran/axisgroup_interface.f90
===================================================================
--- /XIOS/trunk/src/fortran/axisgroup_interface.f90	(revision 312)
+++ /XIOS/trunk/src/fortran/axisgroup_interface.f90	(revision 313)
@@ -4,44 +4,4 @@
    INTERFACE ! Ne pas appeler directement/Interface FORTRAN 2003 <-> C99
      
-      SUBROUTINE cxios_set_axisgroup_name(axisgroup_hdl, name, name_size) BIND(C)
-         USE ISO_C_BINDING
-         INTEGER  (kind = C_INTPTR_T), VALUE        :: axisgroup_hdl
-         CHARACTER(kind = C_CHAR)    , DIMENSION(*) :: name
-         INTEGER  (kind = C_INT)     , VALUE        :: name_size
-      END SUBROUTINE cxios_set_axisgroup_name
-
-      SUBROUTINE cxios_set_axisgroup_standard_name(axisgroup_hdl, standard_name, standard_name_size) BIND(C)
-         USE ISO_C_BINDING
-         INTEGER  (kind = C_INTPTR_T), VALUE        :: axisgroup_hdl
-         CHARACTER(kind = C_CHAR)    , DIMENSION(*) :: standard_name
-         INTEGER  (kind = C_INT)     , VALUE        :: standard_name_size
-      END SUBROUTINE cxios_set_axisgroup_standard_name
-
-      SUBROUTINE cxios_set_axisgroup_long_name(axisgroup_hdl, long_name, long_name_size) BIND(C)
-         USE ISO_C_BINDING
-         INTEGER  (kind = C_INTPTR_T), VALUE        :: axisgroup_hdl
-         CHARACTER(kind = C_CHAR)    , DIMENSION(*) :: long_name
-         INTEGER  (kind = C_INT)     , VALUE        :: long_name_size
-      END SUBROUTINE cxios_set_axisgroup_long_name
-
-      SUBROUTINE cxios_set_axisgroup_unit(axisgroup_hdl, unit, unit_size) BIND(C)
-         USE ISO_C_BINDING
-         INTEGER  (kind = C_INTPTR_T), VALUE        :: axisgroup_hdl
-         CHARACTER(kind = C_CHAR)    , DIMENSION(*) :: unit
-         INTEGER  (kind = C_INT)     , VALUE        :: unit_size
-      END SUBROUTINE cxios_set_axisgroup_unit
-
-      SUBROUTINE cxios_set_axisgroup_size(axisgroup_hdl, size) BIND(C)
-         USE ISO_C_BINDING
-         INTEGER (kind = C_INTPTR_T), VALUE :: axisgroup_hdl
-         INTEGER (kind = C_INT)     , VALUE :: size
-      END SUBROUTINE cxios_set_axisgroup_size
-
-      SUBROUTINE cxios_set_axisgroup_zvalue(axisgroup_hdl, zvalue, zvalue_extent1) BIND(C)
-         USE ISO_C_BINDING
-         INTEGER (kind = C_INTPTR_T), VALUE        :: axisgroup_hdl
-         REAL    (kind = C_DOUBLE)  , DIMENSION(*) :: zvalue
-         INTEGER (kind = C_INT)     , VALUE        :: zvalue_extent1
-      END SUBROUTINE cxios_set_axisgroup_zvalue
   
       SUBROUTINE cxios_axisgroup_handle_create(ret, idt, idt_size) BIND(C)
Index: /XIOS/trunk/src/fortran/context_interface.f90
===================================================================
--- /XIOS/trunk/src/fortran/context_interface.f90	(revision 312)
+++ /XIOS/trunk/src/fortran/context_interface.f90	(revision 313)
@@ -4,25 +4,4 @@
    INTERFACE ! Ne pas appeler directement/Interface FORTRAN 2003 <-> C99
      
-      SUBROUTINE cxios_set_context_calendar_type(context_hdl, calendar_type ,calendar_type_size) BIND(C)
-         USE ISO_C_BINDING
-         INTEGER  (kind = C_INTPTR_T), VALUE        :: context_hdl
-         CHARACTER(kind = C_CHAR)    , DIMENSION(*) :: calendar_type
-         INTEGER  (kind = C_INT)     , VALUE        :: calendar_type_size
-      END SUBROUTINE cxios_set_context_calendar_type
-
-      SUBROUTINE cxios_set_context_start_date(context_hdl, start_date ,start_date_size) BIND(C)
-         USE ISO_C_BINDING
-         INTEGER  (kind = C_INTPTR_T), VALUE        :: context_hdl
-         CHARACTER(kind = C_CHAR)    , DIMENSION(*) :: start_date
-         INTEGER  (kind = C_INT)     , VALUE        :: start_date_size
-      END SUBROUTINE cxios_set_context_start_date
-
-      SUBROUTINE cxios_set_context_output_dir(context_hdl, output_dir ,output_dir_size) BIND(C)
-         USE ISO_C_BINDING
-         INTEGER  (kind = C_INTPTR_T), VALUE        :: context_hdl
-         CHARACTER(kind = C_CHAR)    , DIMENSION(*) :: output_dir
-         INTEGER  (kind = C_INT)     , VALUE        :: output_dir_size
-      END SUBROUTINE cxios_set_context_output_dir
-      
       SUBROUTINE cxios_context_handle_create(ret, idt, idt_size) BIND(C)
          import C_CHAR, C_INTPTR_T, C_INT
